Wikia

Community Central

Upgrading MediaWiki can lead to problems?

94,650pages on
this wiki

Forum page

This Forum has been archived

Visit the new Forums
Forums: Index General Discussion Upgrading MediaWiki can lead to problems?
Wikia's forums are a place for the community to help other members.
To contact staff directly or to report bugs, please use Special:Contact.
Note: This topic has been unedited for 893 days. It is considered archived - the discussion is over. Do not add to unless it really needs a response.


If the staff or developers upgrading Wikia's MediaWiki to the latest version "1.20" , is there a problem over other Wikia wikis? This MediaWiki version annoying me. --112.210.108.70 06:03, May 1, 2012 (UTC)

Staff are, IIRC, planning an upgrade - but it does take a long time to sort out, because everything needs to be tested with the new version to check if it still works -- RandomTime 06:12, May 1, 2012 (UTC)
The statement "This mediawiki version annoying me" is not very help full as it gives no indication of what the problem with the current version is and is at odds with the thread title "Upgrading MediaWiki can lead to problems?" that implies that upgrading will cause problems ? Are ther some particular feature or issues with the two versions that should give concern to other users based on reports from else were ?
Wikia Inc. does not implement (follow) every upgrade released (based on previous staff posts on the subject) as the wikis runs on a Modified version with a lot of custom add-ons (which as Randomtime say above need extensive testing to reduce problems when upgrades take place).
- IHBTD6-Drott 17:15, May 1, 2012 (UTC)
If consensus is reached, staff and devs will wait sometime to upgrade MediaWiki.
We have already begun the migration process to MediaWiki 1.19 (the latest stable version, 1.20 is in alpha testing on Wikimedia wikis), slowly moving over because we were last at 1.16.5 and thus there are more things to test and tweak than usual. Look for more news on this later this month/early next. --daNASCAT WikiaStaff.png (help forum | blog) 17:39, May 3, 2012 (UTC)
Any projected time on that? So I can anticipate making preload templates functional with noincludes... 70.49.124.225 05:27, May 4, 2012 (UTC)
Being tested. Coming soon. —This unsigned comment is by 112.210.10.103 (wallcontribs) . Please sign your posts with ~~~~!
I setup a 1.19 MediaWiki wiki at work recently and many very useful and common extensions are not supported or well supported on that version or later yet. Wikia may be waiting for more extensions to be supported or putting time into making theirs compatible. -- Fandyllic (talk · contr) 13 Jun 2012 2:12 PM Pacific

Around Wikia's network

Random Wiki